'''
library.py

Contains a wrapper class for a library of chunks that adds some convenience
methods.

Copyright 2010 Peter Mawhorter
This software is distributed under the terms of the GNU General Public License.
'''

class Library:
  '''
  A library of chunks. At its core is a set of chunks, and it supplies the
  anchored_chunks helper property for accessing them along with their anchors.
  '''
  contents = None
 
  def __init__(self, chunks=None):
    self.chunks = chunks or set()

  @property
  def anchored_chunks(self):
    for c in self.chunks:
      for a in c.anchors:
        yield c, a
